aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-xml-libxml
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 09:29:23 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 11:24:37 +0000
commit7be842201d514de6644d599281da7c55010295d8 (patch)
tree6a4206d5bfd046c2f75267cd7a1e233c391c71eb /community/perl-xml-libxml
parent55cf1d3a2fcba962ec518edc6a815fbb6566c645 (diff)
downloadaports-7be842201d514de6644d599281da7c55010295d8.tar.gz
aports-7be842201d514de6644d599281da7c55010295d8.tar.bz2
aports-7be842201d514de6644d599281da7c55010295d8.tar.xz
community/perl-xml-libxml: moved from testing
Diffstat (limited to 'community/perl-xml-libxml')
-rw-r--r--community/perl-xml-libxml/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-xml-libxml/APKBUILD b/community/perl-xml-libxml/APKBUILD
new file mode 100644
index 0000000000..0f9d8e6b58
--- /dev/null
+++ b/community/perl-xml-libxml/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-xml-libxml
+_pkgreal=XML-LibXML
+pkgver=2.0128
+pkgrel=0
+pkgdesc="Interface to Gnome libxml2 xml parsing and DOM library"
+url="http://search.cpan.org/dist/XML-LibXML/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends="perl-xml-sax perl-xml-namespacesupport"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends libxml2-dev"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="9904690371679e082ff2c23677b6c90e XML-LibXML-2.0128.tar.gz"
+sha256sums="26e7ba451f3bade4d29ff00653a2ee01d13fe38b9a2ebcd0b0f3f82f9f688f2b XML-LibXML-2.0128.tar.gz"
+sha512sums="c388570d0a140f3b92ab9922d9c917fba791e804b160822eeff91923891059ba189ad3743f2ffd13f7f4c92a3e8db1ee5fae588007d3fcf50251d9803e8e261b XML-LibXML-2.0128.tar.gz"